package com.gic.haoban.manage.web.vo.content.statistics.report;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author MUSI
 * @Date 2023/3/23 4:25 PM
 * @Description
 * @Version
 **/
public class MaterialPersonalUsedDataVO implements Serializable {

    private static final long serialVersionUID = 6148710247246321358L;
    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 导购code
     */
    private String clerkCode;

    /**
     * 导购名称
     */
    private String clerkName;

    /**
     * 导购头像
     */
    private String imageUrl;

    /**
     * 使用素材数量
     */
    private Integer useMatlNum;

    /**
     * 使用素材排行
     */
    private Integer useMatlNumRank;

    /**
     * 使用素材数量环比
     */
    private BigDecimal useMatlNumRatio;

    /**
     * 点击客户数
     */
    private Integer userClickNum;

    /**
     * 点击客户环比
     */
    private BigDecimal userClickNumRatio;

    /**
     * 线上转换客户数
     */
    private Integer convUserNum;

    /**
     * 线上转化客户数环比
     */
    private BigDecimal convUserNumRatio;

    /**
     * 线上转换金额
     */
    private BigDecimal convSalesAmt;

    /**
     * 线上转化金额排名
     */
    private Integer convSalesAmtRank;

    /**
     * 线上转化金额环比
     */
    private BigDecimal convSalesAmtRatio;

    /**
     * 线下转化客户数
     */
    private Integer offlineConvUserNum;

    /**
     * 线下转化客户数环比
     */
    private BigDecimal offlineConvUserNumRatio;

    /**
     * 线下转化金额
     */
    private BigDecimal offlineConvSalesAmt;

    /**
     * 线下转化金额排名
     */
    private Integer offlineConvSalesAmtRank;

    /**
     * 线下转化金额环比
     */
    private BigDecimal offlineConvSalesAmtRatio;

    /**
     * 总转化金额
     */
    private BigDecimal omniConvSalesAmt;

    /**
     * 总转化金额排行
     */
    private Integer omniConvSalesAmtRank;

    /**
     * 总转化金额环比
     */
    private Integer omniConvSalesAmtRatio;


    public Date getStartTime() {
        return startTime;
    }
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public Integer getUseMatlNum() {
        return useMatlNum;
    }

    public void setUseMatlNum(Integer useMatlNum) {
        this.useMatlNum = useMatlNum;
    }

    public Integer getUseMatlNumRank() {
        return useMatlNumRank;
    }

    public void setUseMatlNumRank(Integer useMatlNumRank) {
        this.useMatlNumRank = useMatlNumRank;
    }

    public BigDecimal getUseMatlNumRatio() {
        return useMatlNumRatio;
    }

    public void setUseMatlNumRatio(BigDecimal useMatlNumRatio) {
        this.useMatlNumRatio = useMatlNumRatio;
    }

    public Integer getUserClickNum() {
        return userClickNum;
    }

    public void setUserClickNum(Integer userClickNum) {
        this.userClickNum = userClickNum;
    }

    public BigDecimal getUserClickNumRatio() {
        return userClickNumRatio;
    }

    public void setUserClickNumRatio(BigDecimal userClickNumRatio) {
        this.userClickNumRatio = userClickNumRatio;
    }

    public Integer getConvUserNum() {
        return convUserNum;
    }

    public void setConvUserNum(Integer convUserNum) {
        this.convUserNum = convUserNum;
    }

    public BigDecimal getConvUserNumRatio() {
        return convUserNumRatio;
    }

    public void setConvUserNumRatio(BigDecimal convUserNumRatio) {
        this.convUserNumRatio = convUserNumRatio;
    }

    public BigDecimal getConvSalesAmt() {
        return convSalesAmt;
    }

    public void setConvSalesAmt(BigDecimal convSalesAmt) {
        this.convSalesAmt = convSalesAmt;
    }

    public Integer getConvSalesAmtRank() {
        return convSalesAmtRank;
    }

    public void setConvSalesAmtRank(Integer convSalesAmtRank) {
        this.convSalesAmtRank = convSalesAmtRank;
    }

    public BigDecimal getConvSalesAmtRatio() {
        return convSalesAmtRatio;
    }

    public void setConvSalesAmtRatio(BigDecimal convSalesAmtRatio) {
        this.convSalesAmtRatio = convSalesAmtRatio;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public BigDecimal getOfflineConvUserNumRatio() {
        return offlineConvUserNumRatio;
    }

    public void setOfflineConvUserNumRatio(BigDecimal offlineConvUserNumRatio) {
        this.offlineConvUserNumRatio = offlineConvUserNumRatio;
    }

    public Integer getOfflineConvUserNum() {
        return offlineConvUserNum;
    }

    public void setOfflineConvUserNum(Integer offlineConvUserNum) {
        this.offlineConvUserNum = offlineConvUserNum;
    }

    public BigDecimal getOfflineConvSalesAmt() {
        return offlineConvSalesAmt;
    }

    public void setOfflineConvSalesAmt(BigDecimal offlineConvSalesAmt) {
        this.offlineConvSalesAmt = offlineConvSalesAmt;
    }

    public Integer getOfflineConvSalesAmtRank() {
        return offlineConvSalesAmtRank;
    }

    public void setOfflineConvSalesAmtRank(Integer offlineConvSalesAmtRank) {
        this.offlineConvSalesAmtRank = offlineConvSalesAmtRank;
    }

    public BigDecimal getOfflineConvSalesAmtRatio() {
        return offlineConvSalesAmtRatio;
    }

    public void setOfflineConvSalesAmtRatio(BigDecimal offlineConvSalesAmtRatio) {
        this.offlineConvSalesAmtRatio = offlineConvSalesAmtRatio;
    }

    public BigDecimal getOmniConvSalesAmt() {
        return omniConvSalesAmt;
    }

    public void setOmniConvSalesAmt(BigDecimal omniConvSalesAmt) {
        this.omniConvSalesAmt = omniConvSalesAmt;
    }

    public Integer getOmniConvSalesAmtRank() {
        return omniConvSalesAmtRank;
    }

    public void setOmniConvSalesAmtRank(Integer omniConvSalesAmtRank) {
        this.omniConvSalesAmtRank = omniConvSalesAmtRank;
    }

    public Integer getOmniConvSalesAmtRatio() {
        return omniConvSalesAmtRatio;
    }

    public void setOmniConvSalesAmtRatio(Integer omniConvSalesAmtRatio) {
        this.omniConvSalesAmtRatio = omniConvSalesAmtRatio;
    }
}
